﻿using System.Collections.Generic;
using System.Web.Http;

namespace TestProject.Controllers
{
    /// <summary>
    /// 디폴트 컨트롤러
    /// </summary>
    public class DefaultController : ApiController
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 조회하기 - Get() [GET : api/Default]

        /// <summary>
        /// 조회하기
        /// </summary>
        /// <returns>문자열 열거 가능형 목록</returns>
        public IEnumerable<string> Get()
        {
            return new string[] { "테스트 문자열 3", "테스트 문자열 4" };
        }

        #endregion
        #region 조회하기 - Get(id) [GET : api/Default/5]

        /// <summary>
        /// 조회하기
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>문자열</returns>
        public string Get(int id)
        {
            return "입력값 : " + id.ToString();
        }

        #endregion
        #region 추가하기 - Post(value) [POST : api/Default]

        /// <summary>
        /// 추가하기
        /// </summary>
        /// <param name="value">값</param>
        public void Post([FromBody]string value)
        {
        }

        #endregion
        #region 수정하기 - Put(id, value) [PUT : api/Default/5]

        /// <summary>
        /// 수정하기
        /// </summary>
        /// <param name="id">ID</param>
        /// <param name="value">값</param>
        public void Put(int id, [FromBody]string value)
        {
        }

        #endregion
        #region 삭제하기 - Delete(id) [DELETE : api/Default/5]

        /// <summary>
        /// 삭제하기
        /// </summary>
        /// <param name="id">ID</param>
        public void Delete(int id)
        {
        }

        #endregion
    }
}