﻿using System.Collections.Generic;
using System.Web.Http;

namespace TestProject.Controllers
{
    /// <summary>
    /// 헬로우 컨트롤러
    /// </summary>
    public class HelloController : ApiController
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        [HttpGet]
        public List<string> GetList()
        {
            List<string> list = new List<string>();

            list.Add("테스트 문자열 1");
            list.Add("테스트 문자열 2");

            return list;
        }

        #endregion
    }
}